#
# spec file for package pam_smb (Version 1.1.6)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         pam_smb
License:      LGPL
Group:        Productivity/Security
Provides:     pam_smb 
Autoreqprov:  on
Version:      1.1.6
Release:      500
Summary:      PAM module for user authentication using an NT server
URL:          http://www.csn.ul.ie/~airlied/pam_smb/
Source:       pam_smb-%{version}.tar.bz2
Patch:        pam_smb-%{version}.dif
Patch1:       %{name}-%{version}-buffer_overflow-fix.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
pam_smb is a PAM module which allows authentication of UNIX users using an NT
server.

Authors:
--------
    Dave Airlie <David.Airlie@ul.ie>

SuSE series: n

%prep
%setup -n pam_smb
%patch
%patch1

%build
%{suse_update_config -f}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --sbindir=/usr/sbin
make

%install
rm -rf $RPM_BUILD_ROOT
install -d 755 $RPM_BUILD_ROOT/lib/security
install -d 755 $RPM_BUILD_ROOT/etc
install -m 755 pam_smb_auth.so $RPM_BUILD_ROOT/lib/security
install -m 644 pam_smb.conf.example $RPM_BUILD_ROOT/etc/pam_smb.conf

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO
%config /etc/pam_smb.conf
/lib/security/pam_smb_auth.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n pam_smb
* Wed Aug 20 2003 - postadal@suse.cz
- fixed buffer overflow in the password handling code - CAN-2003-0686 [#28990]
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Fri Nov 10 2000 - cihlar@suse.cz
- added suse_update_config
- bzipped sources
* Mon Sep 11 2000 - cihlar@suse.cz
- update to version 1.1.6 with security bug fix
* Wed Apr 26 2000 - cihlar@suse.cz
- added BuildRoot
* Tue Feb 15 2000 - kukuk@suse.de
- Insert Group tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 16 1999 - kukuk@suse.de
- First version.
